Bug 1571955 - daemon-set-controller bootstrap RBAC policy does not include get permission for controllerrevisions
Summary: daemon-set-controller bootstrap RBAC policy does not include get permission f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.10.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.10.0
Assignee: David Eads
QA Contact: Wang Haoran
URL:
Whiteboard: aos-scalability-310
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 19:12 UTC by Jeremy Eder
Modified: 2018-07-30 19:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 19:13:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:14:10 UTC

Comment 2 Michal Fojtik 2018-04-30 09:28:23 UTC
Fix merged, moving to QA.

Comment 3 Wang Haoran 2018-05-02 08:47:58 UTC
Verified with:
openshift v3.10.0-0.31.0
kubernetes v1.10.0+b81c8f8
etcd 3.2.16

oc  describe  clusterroles system:controller:daemon-set-controller
Name:						system:controller:daemon-set-controller
Created:					3 hours ago
Labels:						kubernetes.io/bootstrapping=rbac-defaults
Annotations:					authorization.openshift.io/system-only=true
						openshift.io/reconcile-protect=false
Verbs						Non-Resource URLs	Resource Names	API Groups		Resources
[get list watch]				[]			[]		[apps extensions]	[daemonsets]
[update]					[]			[]		[apps extensions]	[daemonsets/status]
[update]					[]			[]		[apps extensions]	[daemonsets/finalizers]
[list watch]					[]			[]		[]			[nodes]
[create delete list patch watch]		[]			[]		[]			[pods]
[create]					[]			[]		[]			[pods/binding]
[create delete get list patch update watch]	[]			[]		[apps]			[controllerrevisions]
[create patch update]				[]			[]		[]			[events]

Comment 5 errata-xmlrpc 2018-07-30 19:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.